Package net.rubygrapefruit.platform

# Interface OsxMemoryInfo

All Superinterfaces:
  `MemoryInfo`

All Known Implementing Classes:
  `DefaultOsxMemoryInfo`

public interface OsxMemoryInfo extends MemoryInfo
Detailed OSX memory info. This is not exactly what vm_stat displays: vm_stat's Free pages is `getFreePagesCount()` minus `getSpeculativePagesCount()`. `getExternalPagesCount()` is displayed as File-backed pages.

## Method Summary

Modifier and Type
Method
Description
`long`
`getActivePagesCount()`
`long`
`getAvailablePhysicalMemory()`
Calculated.
`long`
`getExternalPagesCount()`
`long`
`getFreePagesCount()`
`long`
`getInactivePagesCount()`
`long`
`getPageSize()`
`long`
`getSpeculativePagesCount()`
`long`
`getTotalPhysicalMemory()`
Returns the number of bytes of physical memory installed in the machine.
`long`
`getWiredPagesCount()`

## Method Details

### getPageSize

long getPageSize()

### getFreePagesCount

long getFreePagesCount()

### getInactivePagesCount

long getInactivePagesCount()

### getWiredPagesCount

long getWiredPagesCount()

### getActivePagesCount

long getActivePagesCount()

### getExternalPagesCount

long getExternalPagesCount()

### getSpeculativePagesCount

long getSpeculativePagesCount()

### getTotalPhysicalMemory

long getTotalPhysicalMemory()
Description copied from interface: `MemoryInfo`
Returns the number of bytes of physical memory installed in the machine.

Specified by:
  `getTotalPhysicalMemory` in interface `MemoryInfo`

### getAvailablePhysicalMemory

long getAvailablePhysicalMemory()
Calculated.

Specified by:
  `getAvailablePhysicalMemory` in interface `MemoryInfo`